%define anolis_release 1
Summary: Command-line tools and library for transforming PDF files
Name:    qpdf
Version: 11.3.0
Release: %{anolis_release}%{?dist}
# MIT: e.g. libqpdf/sha2.c
# upstream uses ASL 2.0 now, but he allowed others to distribute qpdf under
# old license (see README)
License: (Artistic 2.0 or ASL 2.0) and MIT
URL:     https://github.com/qpdf/qpdf
Source0: https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz


# gcc and gcc-c++ are no longer in buildroot by default
# gcc is needed for qpdf-ctest.c
BuildRequires: gcc
# gcc-c++ is need for everything except for qpdf-ctest
BuildRequires: gcc-c++

BuildRequires: zlib-devel
BuildRequires: libjpeg-turbo-devel

# for test suite
BuildRequires: diffutils

BuildRequires: cmake >= 3.16

# for crypto by gnutls
BuildRequires: gnutls-devel


Requires: qpdf-libs = %{version}-%{release}

%package libs
Summary: QPDF library for transforming PDF files

%package devel
Summary: Development files for QPDF library
Requires: qpdf-libs = %{version}-%{release}

%package doc
Summary: QPDF Manual
BuildArch: noarch
Requires: qpdf-libs = %{version}-%{release}

%description
QPDF is a command-line program that does structural, content-preserving
transformations on PDF files. It could have been called something
like pdf-to-pdf. It includes support for merging and splitting PDFs
and to manipulate the list of pages in a PDF file. It is not a PDF viewer
or a program capable of converting PDF into other formats.

%description libs
QPDF is a C++ library that inspect and manipulate the structure of PDF files.
It can encrypt and linearize files, expose the internals of a PDF file,
and do many other operations useful to PDF developers.

%description devel
Header files and libraries necessary
for developing programs using the QPDF library.

%description doc
QPDF Manual

%prep
%autosetup

%build
%cmake -DBUILD_STATIC_LIBS=OFF \
       -DBUILD_DOC_HTML=ON \
       -DCI_MODE=ON \
       -DINSTALL_CMAKE_PACKAGE=OFF \
       -DREQUIRE_CRYPTO_GNUTLS=1

%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_libdir}/libqpdf.la

%generate_compatibility_deps

%check
ctest --verbose

%files
%{_bindir}/fix-qdf
%{_bindir}/qpdf
%{_bindir}/zlib-flate
%{_mandir}/man1/*
%{abidir}/qpdf-option.list

%files libs
%doc README.md TODO ChangeLog
%license Artistic-2.0
%{_libdir}/libqpdf*.so.*

%files devel
%doc examples/*.cc examples/*.c
%{_includedir}/*
%{_libdir}/libqpdf*.so
%{_libdir}/pkgconfig/libqpdf.pc
%{abidir}/libqpdf.dump

%files doc
%{_pkgdocdir}


%changelog
* Fri Mar 24 2023 Kun(llfl) <llfl@linux.alibaba.com> - 11.3.0-1
- Init package from upstream